{
   This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
}
unit Ufrmselect;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  Tfrmselect = class(TForm)
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    BitBtn2: TBitBtn;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmselect: Tfrmselect;

implementation
uses Uconfig;
{$R *.dfm}

procedure Tfrmselect.FormCreate(Sender: TObject);
begin
  if config.getvaluebyinteger('select_method',0)=0 then
    self.RadioButton1.Checked:=true
  else
    self.RadioButton2.Checked:=true;
end;

procedure Tfrmselect.BitBtn2Click(Sender: TObject);
begin
  if RadioButton1.Checked then
    config.setvaluebyinteger('select_method',0)
  else
    config.setvaluebyinteger('select_method',1);
end;

end.
